using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.IService
{
    public interface IScanService
    {
        /// <summary>
        /// 复位纵向位置 为0m
        /// </summary>
        void ResetFilmPosition();

        /// <summary>
        /// 开始扫描，但不复位 纵向位置 为0m
        /// </summary>
        void StartWithNoReset();

        /// <summary>
        /// 喂狗， 5秒内必须喂一次。不然停止扫描
        /// </summary>
        void Feed();
    }
}
